Package org.eclipse.birt.report.model.api.util

# Class UnicodeUtil

java.lang.Object
org.eclipse.birt.report.model.api.util.UnicodeUtil

public class UnicodeUtil extends Object
The utility class to handle Unicode encoding and signatures.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SIGNATURE_UCS4_BIG`
The signature for the UCS4 Big Endian files.
`static final String`
`SIGNATURE_UCS4_LITTLE`
The signature for the UCS4 Little Endian files.
`static final String`
`SIGNATURE_UNICODE_BIG`
The signature for the Unicode Big Endian files.
`static final String`
`SIGNATURE_UNICODE_LITTLE`
The signature for the Unicode Little Endian files.
`static final String`
`SIGNATURE_UTF_8`
The signature for the UTF-8 files.

## Constructor Summary

Constructors
Constructor
Description
`UnicodeUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`checkUTFSignature(InputStream inputStream)`
Reads a signature if it applies.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SIGNATURE_UTF_8

public static final String SIGNATURE_UTF_8
The signature for the UTF-8 files.

See Also:
  - Constant Field Values

### SIGNATURE_UNICODE_BIG

public static final String SIGNATURE_UNICODE_BIG
The signature for the Unicode Big Endian files.

See Also:
  - Constant Field Values

### SIGNATURE_UNICODE_LITTLE

public static final String SIGNATURE_UNICODE_LITTLE
The signature for the Unicode Little Endian files.

See Also:
  - Constant Field Values

### SIGNATURE_UCS4_BIG

public static final String SIGNATURE_UCS4_BIG
The signature for the UCS4 Big Endian files.

See Also:
  - Constant Field Values

### SIGNATURE_UCS4_LITTLE

public static final String SIGNATURE_UCS4_LITTLE
The signature for the UCS4 Little Endian files.

See Also:
  - Constant Field Values

## Constructor Details

### UnicodeUtil

public UnicodeUtil()

## Method Details

### checkUTFSignature

public static String checkUTFSignature(InputStream inputStream) throws IOException
Reads a signature if it applies. Currently BIRT can recognize the following signatures:

- SIGNATURE_UTF_8
- SIGNATURE_UNICODE_BIG
- SIGNATURE_UNICODE_LITTLE
- SIGNATURE_UCS4_BIG_8
- SIGNATURE_UCS4_LITTLE

Parameters:
  `inputStream` - the input stream of the unicode file
Returns:
  the encoding signature from the unicode file.
Throws:
  `IOException` - if errors occur when reading bytes from the input stream